MilterEncoder
3
milter managerライブラリ

# MilterEncoder

## Functions

MilterEncoder * | milter_encoder_new ()
GString * | milter_encoder_get_buffer ()
void | milter_encoder_clear_buffer ()
void | milter_encoder_pack ()
void | milter_encoder_encode_negotiate ()
guint | milter_encoder_get_tag ()
void | milter_encoder_set_tag ()

## プロパティ

guint | tag | Read

## オブジェクト階層

        GObject
        ╰── MilterEncoder
            ├── MilterCommandEncoder
            ├── MilterManagerControlCommandEncoder
            ├── MilterManagerReplyEncoder
            ├── MilterManagerLaunchCommandEncoder
            ╰── MilterReplyEncoder

## 説明

## Functions

### milter_encoder_new ()

    MilterEncoder *
    milter_encoder_new (void);

### milter_encoder_get_buffer ()

    GString *
    milter_encoder_get_buffer (MilterEncoder *encoder);

### milter_encoder_clear_buffer ()

    void
    milter_encoder_clear_buffer (MilterEncoder *encoder);

### milter_encoder_pack ()

    void
    milter_encoder_pack (MilterEncoder *encoder,
                         const gchar **packet,
                         gsize *packet_size);

### milter_encoder_encode_negotiate ()

    void
    milter_encoder_encode_negotiate (MilterEncoder *encoder,
                                     MilterOption *option);

### milter_encoder_get_tag ()

    guint
    milter_encoder_get_tag (MilterEncoder *encoder);

### milter_encoder_set_tag ()

    void
    milter_encoder_set_tag (MilterEncoder *encoder,
                            guint tag);

## Types and Values

## プロパティ詳細

### The `“tag”` property

      “tag”                      guint

The tag of the encoder.

Flags: Read

デフォルト値: 0